From: =?utf-8?b?0KjQu9GL0LrQvtCyINCS0LDRgdC40LvQuNC5?= <vash@lab50.net>
Date: Sun, 10 Jan 2021 17:39:22 +0300
Subject: Isolated build with Mono

---
 .nuget/packages.config                                       |  2 --
 Directory.Build.props                                        |  2 --
 Directory.Build.targets                                      | 12 ------------
 .../EntityFramework.SqlServer.csproj                         |  2 +-
 src/EntityFramework/EntityFramework.csproj                   |  2 +-
 .../Microsoft.Data.Entity.Build.Tasks.csproj                 |  6 +++---
 src/ef6/ef6.csproj                                           |  2 +-
 7 files changed, 6 insertions(+), 22 deletions(-)
 delete mode 100644 Directory.Build.targets

diff --git a/.nuget/packages.config b/.nuget/packages.config
index a70d267..6b8deb9 100644
--- a/.nuget/packages.config
+++ b/.nuget/packages.config
@@ -1,5 +1,3 @@
 ﻿<?xml version="1.0" encoding="utf-8"?>
 <packages>
-  <package id="Microsoft.Web.SkipStrongNames" version="1.0.0" />
-  <package id="StyleCop" version="4.7.10.0" />
 </packages>
\ No newline at end of file
diff --git a/Directory.Build.props b/Directory.Build.props
index 46cf102..e521d52 100644
--- a/Directory.Build.props
+++ b/Directory.Build.props
@@ -1,6 +1,4 @@
 <Project>
-  <Import Project="Sdk.props" Sdk="Microsoft.DotNet.Arcade.Sdk" />
-
   <PropertyGroup Condition="'$(CopyrightMicrosoft)' != ''">
     <Copyright>$(CopyrightMicrosoft)</Copyright>
     <PackageLicenseExpression>Apache-2.0</PackageLicenseExpression>
diff --git a/Directory.Build.targets b/Directory.Build.targets
deleted file mode 100644
index 690c58a..0000000
--- a/Directory.Build.targets
+++ /dev/null
@@ -1,12 +0,0 @@
-<Project>
-  <Import Project="Sdk.targets" Sdk="Microsoft.DotNet.Arcade.Sdk" />
-  <ItemGroup>
-    <!-- Use the latest version instead of the one bundled with the SDK. -->
-    <KnownFrameworkReference Update="Microsoft.NETCore.App"
-        Condition=" '$(TargetFramework)' == '$(DefaultNetCoreTargetFramework)' ">
-      <LatestRuntimeFrameworkVersion>$(MicrosoftNETCoreAppRuntimeVersion)</LatestRuntimeFrameworkVersion>
-      <DefaultRuntimeFrameworkVersion>$(MicrosoftNETCoreAppRuntimeVersion)</DefaultRuntimeFrameworkVersion>
-      <TargetingPackVersion>$(MicrosoftNETCoreAppRefPackageVersion)</TargetingPackVersion>
-    </KnownFrameworkReference>
-  </ItemGroup>
-</Project>
diff --git a/src/EntityFramework.SqlServer/EntityFramework.SqlServer.csproj b/src/EntityFramework.SqlServer/EntityFramework.SqlServer.csproj
index 7a14123..dd1af3e 100644
--- a/src/EntityFramework.SqlServer/EntityFramework.SqlServer.csproj
+++ b/src/EntityFramework.SqlServer/EntityFramework.SqlServer.csproj
@@ -3,7 +3,7 @@
   <PropertyGroup>
     <RootNamespace>System.Data.Entity.SqlServer</RootNamespace>
     <GenerateDocumentationFile>True</GenerateDocumentationFile>
-    <TargetFrameworks>net45;net40;netstandard2.1</TargetFrameworks>
+    <TargetFrameworks>net45;net40</TargetFrameworks>
     <Description>EntityFramework.SqlServer.dll</Description>
     <AssemblyVersion>6.0.0.0</AssemblyVersion>
     <DefineConstants>$(DefineConstants);SQLSERVER;INTERNALS_INVISIBLE</DefineConstants>
diff --git a/src/EntityFramework/EntityFramework.csproj b/src/EntityFramework/EntityFramework.csproj
index 0a44a0b..a8f753b 100644
--- a/src/EntityFramework/EntityFramework.csproj
+++ b/src/EntityFramework/EntityFramework.csproj
@@ -3,7 +3,7 @@
   <PropertyGroup>
     <RootNamespace>System.Data.Entity</RootNamespace>
     <GenerateDocumentationFile>True</GenerateDocumentationFile>
-    <TargetFrameworks>net45;net40;netstandard2.1</TargetFrameworks>
+    <TargetFrameworks>net45;net40</TargetFrameworks>
     <Description>EntityFramework.dll</Description>
     <AssemblyVersion>6.0.0.0</AssemblyVersion>
     <DefineConstants>$(DefineConstants);INTERNALS_INVISIBLE</DefineConstants>
diff --git a/src/Microsoft.Data.Entity.Build.Tasks/Microsoft.Data.Entity.Build.Tasks.csproj b/src/Microsoft.Data.Entity.Build.Tasks/Microsoft.Data.Entity.Build.Tasks.csproj
index d9322cf..201f77c 100644
--- a/src/Microsoft.Data.Entity.Build.Tasks/Microsoft.Data.Entity.Build.Tasks.csproj
+++ b/src/Microsoft.Data.Entity.Build.Tasks/Microsoft.Data.Entity.Build.Tasks.csproj
@@ -1,13 +1,13 @@
 ﻿<Project Sdk="Microsoft.NET.Sdk">
 
   <PropertyGroup>
-    <TargetFrameworks>netstandard2.0</TargetFrameworks>
+    <TargetFrameworks>net45</TargetFrameworks>
     <StrongNameKeyId>Microsoft</StrongNameKeyId>
   </PropertyGroup>
 
   <ItemGroup>
-    <PackageReference Include="Microsoft.Build.Framework" Version="$(MicrosoftBuildFrameworkVersion)" />
-    <PackageReference Include="Microsoft.Build.Utilities.Core" Version="$(MicrosoftBuildUtilitiesCoreVersion)" />
+    <Reference Include="Microsoft.Build.Framework" />
+    <Reference Include="Microsoft.Build.Utilities.v4.0" />
   </ItemGroup>
 
   <ItemGroup>
diff --git a/src/ef6/ef6.csproj b/src/ef6/ef6.csproj
index 113ddac..07286d7 100644
--- a/src/ef6/ef6.csproj
+++ b/src/ef6/ef6.csproj
@@ -2,7 +2,7 @@
 
   <PropertyGroup>
     <OutputType>Exe</OutputType>
-    <TargetFrameworks>netcoreapp3.0;net40;net45</TargetFrameworks>
+    <TargetFrameworks>net40;net45</TargetFrameworks>
     <RootNamespace>System.Data.Entity.Tools</RootNamespace>
     <!--
       This keeps ef6.exe targeting the default version of .NET Core for netcoreapp3.0,
